Subject: [pcp] Clarification of Section 2.11 of draft-boucadair-pcp-flow-examples-01.txt

From: Ben McCann <[email-masked]>
Date: Fri, 07 Jun 2013 14:51:16 -0400

Section 2.11 of draft-boucadair-pcp-flow-examples-01 illustrates how a 
client can learn the external IP address of and port of an *existing 
implicit mapping *by using the *MAP *opcode.

I can't find any reference to that capability in RFC 6887 but I do see a 
reference in Section 12.2 (Generating a Peer Request) that discusses how 
a client can use the *PEER *opcode to learn the external address and 
port of an existing implicit mapping.

Shouldn't section 2.11 of draft-boucadair-pcp-flow-examples-01 
illustrate use of the *PEER *opcode?

Thanks,
Ben McCann

---

From: "Reinaldo Penno (repenno)" <[email-masked]>
Date: Sat, 8 Jun 2013 15:18:38 +0000

Hi Ben,

I believe this is covered in section 11.3 (Processing a MAP Request)

   It is possible that a mapping might already exist for a requested
   internal address, protocol, and port.  If so, the PCP server takes
   the following actions:

...

   4.  If the existing mapping is dynamic outbound (created by outgoing
       traffic or a previous PEER request), the PCP server SHOULD create
       a new explicit inbound mapping, replicating the ports and
       addresses from the outbound mapping (but the outbound mapping
       continues to exist, and remains in effect if the explicit inbound
       mapping is later deleted).

And if this mapping was created due to a port forwarding rule (static mapping) then

   2.  If the existing mapping is static (created outside of PCP), the
       PCP server MUST return the external address and port of the
       existing mapping in its response and SHOULD indicate a lifetime
       of 2^32-1 seconds, regardless of the suggested external address
       and port in the request.

From: Ben McCann <[email-masked]<mailto:[email-masked]>>
Date: Fri, 7 Jun 2013 14:51:16 -0400
To: <[email-masked]<mailto:[email-masked]>>
Subject: [pcp] Clarification of Section 2.11 of draft-boucadair-pcp-flow-examples-01.txt

Section 2.11 of draft-boucadair-pcp-flow-examples-01 illustrates how a client can learn the external IP address of and port of an existing implicit mapping by using the MAP opcode.

I can't find any reference to that capability in RFC 6887 but I do see a reference in Section 12.2 (Generating a Peer Request) that discusses how a client can use the PEER opcode to learn the external address and port of an existing implicit mapping.

Shouldn't section 2.11 of draft-boucadair-pcp-flow-examples-01 illustrate use of the PEER opcode?

Thanks,
Ben McCann

_______________________________________________ pcp mailing list [email-masked]<mailto:[email-masked]> https://www.ietf.org/mailman/listinfo/pcp

---

From: <[email-masked]>
Date: Mon, 10 Jun 2013 08:40:57 +0200

Hi Ben, Reinaldo,

I added an explicit pointer to the section quoted by Reinaldo in Section 2.11 of draft-boucadair-pcp-flow-examples.

Cheers,
Med

De : [email-masked] [mailto:[email-masked]] De la part de Reinaldo Penno (repenno)
Envoyé : samedi 8 juin 2013 17:19
À : Ben McCann; [email-masked]
Objet : Re: [pcp] Clarification of Section 2.11 of draft-boucadair-pcp-flow-examples-01.txt

Hi Ben,

   the following actions:

...

       and port in the request.

Thanks,
Ben McCann

---

From: <[email-masked]>
Date: Mon, 10 Jun 2013 08:52:13 +0200

Hi Ben,

In addition to the answer provided by Reinaldo, you may have noticed the PEER use case you are referring to is described in http://tools.ietf.org/html/draft-boucadair-pcp-flow-examples-01#section-8.4

Cheers,
Med

De : [email-masked] [mailto:[email-masked]] De la part de Ben McCann
Envoyé : vendredi 7 juin 2013 20:51
À : [email-masked]
Objet : [pcp] Clarification of Section 2.11 of draft-boucadair-pcp-flow-examples-01.txt

Thanks,
Ben McCann